Finds Knowledge Base Entries that match the given query.
https://{kibana_url}
- GET /api/security_ai_assistant/knowledge_base/entries/_find
- GET /s/{space_id}/api/security_ai_assistant/knowledge_base/entries/_find
Refer to Spaces for more information.
Finds Knowledge Base Entries that match the given query.
Query Parameters
-
fieldsstring A list of fields to include in the response. If not provided, all fields will be included.
-
filterstring Search query to filter Knowledge Base Entries by specific criteria.
-
sort_field Field to sort the Knowledge Base Entries by.
-
Values:
created_atis_defaulttitleupdated_at -
pageinteger · min: 1 · default: 1 Page number for paginated results. Defaults to 1.
-
per_pageinteger · min: 0 · default: 20 Number of Knowledge Base Entries to return per page. Defaults to 20.
Responses
Successful response containing the paginated Knowledge Base Entries.
-
datarequired -
The list of Knowledge Base Entries for the current page.
-
globalbooleanrequired -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestringrequired -
Kibana Space, defaults to 'default' space.
-
usersobjectrequired -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
createdAtstringrequired -
Time the Knowledge Base Entry was created.
-
createdBystringrequired -
User who created the Knowledge Base Entry.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
updatedAtstringrequired -
Time the Knowledge Base Entry was last updated.
-
updatedBystringrequired -
User who last updated the Knowledge Base Entry.
-
kbResourcerequired -
Knowledge Base resource name for grouping entries, e.g. 'security_labs', 'user', etc.
-
Values:
security_labsdefend_insightsuser -
sourcestringrequired -
Source document name or filepath.
-
textstringrequired -
Knowledge Base Entry content.
-
requiredboolean -
Whether this resource should always be included, defaults to false.
-
globalbooleanrequired -
Whether this Knowledge Base Entry is global, defaults to false.
-
namestringrequired -
Name of the Knowledge Base Entry.
-
namespacestringrequired -
Kibana Space, defaults to 'default' space.
-
usersobjectrequired -
Users who have access to the Knowledge Base Entry, defaults to current user. Empty array provides access to all users.
-
createdAtstringrequired -
Time the Knowledge Base Entry was created.
-
createdBystringrequired -
User who created the Knowledge Base Entry.
-
idstring · min: 1required -
A string that does not contain only whitespace characters.
-
updatedAtstringrequired -
Time the Knowledge Base Entry was last updated.
-
updatedBystringrequired -
User who last updated the Knowledge Base Entry.
-
descriptionstringrequired -
Description for when this index or data stream should be queried for Knowledge Base content. Passed to the LLM as a tool description.
-
fieldstringrequired -
Field to query for Knowledge Base content.
-
indexstringrequired -
Index or Data Stream to query for Knowledge Base content.
-
queryDescriptionstringrequired -
Description of query field used to fetch Knowledge Base content. Passed to the LLM as part of the tool input schema.
-
inputSchemaobject -
Array of objects defining the input schema, allowing the LLM to extract structured data to be used in retrieval.
-
descriptionstringrequired -
Description of the field.
-
fieldNamestringrequired -
Name of the field.
-
fieldTypestringrequired -
Type of the field.
-
outputFieldsstring -
Fields to extract from the query result, defaults to all fields if not provided or empty.
-
pageintegerrequired -
The current page number.
-
perPageintegerrequired -
The number of Knowledge Base Entries returned per page.
-
totalintegerrequired -
The total number of Knowledge Base Entries available.
Bad Request response.
-
errorstring -
A short description of the error.
-
messagestring -
A detailed message explaining the error.
-
statusCodenumber -
The HTTP status code of the error.